# Generated from dynamo-record-1.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dynamo-record

Name: rubygem-%{gem_name}
Version: 1.4.0
Release: 1%{?dist}
Summary: Extensions to Aws::Record for working with DynamoDB
License: MIT
URL: https://github.com/instructure/dynamo-record
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6
# BuildRequires: rubygem(activesupport) >= 5.2
# BuildRequires: rubygem(activesupport) < 6.2
# BuildRequires: rubygem(byebug) >= 11.0
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(combustion) >= 1.3
# BuildRequires: rubygem(combustion) < 2
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.8.1
# BuildRequires: rubygem(rubocop) < 1.9
# BuildRequires: rubygem(rubocop-rails) >= 2.9.1
# BuildRequires: rubygem(rubocop-rails) < 2.10
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(webmock) >= 3.3
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(wwtd) >= 1.3
# BuildRequires: rubygem(wwtd) < 2
BuildArch: noarch

%description
Extensions to Aws::Record for working with DynamoDB.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Dockerfile
%{gem_instdir}/Jenkinsfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docker-compose.override.example.yml
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/dynamo-record.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.4.0-1
- Initial package
